From 57a1eaa5f1ba580936a1b85fc11220def0f461dd Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 09 2020 04:28:35 +0000
Subject: [PATCH 227/2232] Move panic abort message to stderr


---

diff --git a/src/unwind.rs b/src/unwind.rs
index abb7b92..36f6ae3 100644
--- a/src/unwind.rs
+++ b/src/unwind.rs
@@ -18,7 +18,7 @@ where
 
 #[cold]
 fn abort(label: &'static str) -> ! {
-    let mut stdout = io::stdout();
-    let _ = writeln!(stdout, "Error: panic in ffi function {}, aborting.", label);
+    let mut stderr = io::stderr();
+    let _ = writeln!(stderr, "Error: panic in ffi function {}, aborting.", label);
     process::abort();
 }

